Package org.tmatesoft.svn.core

## Class SVNAuthenticationCancelledException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.tmatesoft.svn.core.SVNException
      - - org.tmatesoft.svn.core.SVNCancelException
        - - org.tmatesoft.svn.core.SVNAuthenticationCancelledException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SVNAuthenticationCancelledException
      extends SVNCancelException

  The SVNAuthenticationCancelkedException is used to signal on authentication being cancelled by the user.
  Since:
    1.9
  Version:
    1.3
  Author:
    TMate Software Ltd.
  See Also:
    `SVNCancelException`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SVNAuthenticationCancelledException​(SVNErrorMessage lastError, SVNAuthentication lastAuthentication)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `SVNAuthentication` | `getLastAuthentication()` |
    `SVNErrorMessage` | `getLastAuthenticationError()` |

    - ### Methods inherited from class org.tmatesoft.svn.core.SVNException

      `getErrorMessage, getMessage, isEnoent`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SVNAuthenticationCancelledException

          public SVNAuthenticationCancelledException​(SVNErrorMessage lastError,
                                                     SVNAuthentication lastAuthentication)

  - ### Method Detail

    - #### getLastAuthenticationError

          public SVNErrorMessage getLastAuthenticationError()

    - #### getLastAuthentication

          public SVNAuthentication getLastAuthentication()